IF NOT EXISTS(
    SELECT *
    FROM sys.columns 
    WHERE Name      = N'FailedCounter'
      AND Object_ID = Object_ID(N'WebHookRegistrations'))
BEGIN
	ALTER TABLE [dbo].[WebHookRegistrations] ADD FailedCounter tinyint NULL;
	ALTER TABLE [dbo].[WebHookRegistrations] ADD CONSTRAINT DF_WebHookRegistrations_FailedCounter DEFAULT 0 FOR FailedCounter
END;
